> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devin.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Consumption Cycles

> Generate a list of all billing cycles for the enterprise

Requires an enterprise admin personal API key.

Returns a list of all billing cycles for your enterprise from inception until today.


## OpenAPI

````yaml /v2-openapi.yaml GET /v2/enterprise/consumption/cycles
openapi: 3.1.0
info:
  description: Devin v2 API with Personal API Keys for Enterprise Admins
  title: Devin API v2
  version: 2.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v2/enterprise/consumption/cycles:
    get:
      tags:
        - consumption
      summary: Consumption Cycles Endpoint
      description: >-
        Generate a list of all the billing cycles for the enterprise until
        today.
      operationId: consumption_cycles_endpoint_v2_enterprise_consumption_cycles_get
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/BillingCycle'
                title: >-
                  Response Consumption Cycles Endpoint V2 Enterprise Consumption
                  Cycles Get
                type: array
          description: Successful Response
components:
  schemas:
    BillingCycle:
      properties:
        end:
          format: date-time
          title: End
          type: string
        start:
          format: date-time
          title: Start
          type: string
      required:
        - start
        - end
      title: BillingCycle
      type: object
  securitySchemes:
    bearerAuth:
      description: Personal API Key (apk_user_*) for Enterprise Admins only
      scheme: bearer
      type: http

````